#
# spec file for package python3-django-reversion
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-django-reversion
Version:        2.0.8
Release:        1.6
Url:            http://github.com/etianen/django-reversion
Summary:        An app that provides comprehensive version control facilities for Django
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/d/django-reversion/django-reversion-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-django
BuildArch:      noarch

%description
An app that provides comprehensive version control facilities for Django.


%prep
%setup -q -n django-reversion-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.rst LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Mon Dec 12 2016 arun@gmx.de
- update to version 2.0.8:
  * Setting revision.user in process_response for middleware
    (@etianen).
  * Fixing localization of model primary keys in recover_list.html
    (@w4rri0r3k).
  * Documentation tweaks (@jaywink).
- changes from version 2.0.7:
  * Database migrations now db-aware (@alukach).
  * Added "revert" and "recover" context variables to admin templates
    (@kezabelle).
  * Added post_revision_commit and pre_revision_commit signals back in
    (@carlosxl).
  * Fixing datetime in admin change message (@arogachev).
  * Fixing performance bug in postgres (@st4lk).
  * Fixing admin change messages in Django 1.10+ (@claudep).
  * Fixing revision middleware behavior in Django 1.10+ (@etianen).
  * Documentation tweaks (@jschneier).
  * Deprecation fixes (@KhasanovBI, @zsiciarz, @claudep).
  * Releasing as a universal wheel (@adamchainz).
* Fri Jul 22 2016 arun@gmx.de
- update to version 2.0.6:
  * Fixed RevisionMiddleware always rolling back transactions in
    gunicorn (@stebunovd, @etianen).
  * Tweaks and minor bugfixes (@SahilMak).
* Fri Jul  8 2016 arun@gmx.de
- update to version 2.0.5:
  * Fixed LookupError when running migration 0003 with stale content
    types (@etianen).
* Sat Jun 25 2016 arun@gmx.de
- update to version 2.0.4:
  * Fixed LookupError when running migration 0003 (@etianen).
  * Fixed duplicate versions using get_deleted() (@etianen).
  * Fixed unexpected deletion of underflowing revisions when using
  - -keep switch with deleterevisions (@etianen).
* Sat Jun 18 2016 arun@gmx.de
- specfile:
  * CHANGELOG.md -> CHANGELOG.rst
- update to version 2.0.3:
  * Added support for m2m fields with a custom through model
    (@etianen).
- changes from version 2.0.2 :
  * Fixing migration 0003 in MySQL (@etianen).
- changes from version 2.0.1:
  * Improved performance of migration 0003 (@BertrandBordage).
  * De-duplicating Version table before applying migration 0004
    (@BertrandBordage, @etianen).
- changes from version 2.0.0:
  * django-reversion was first released in May 2008, and has been in
    active development ever since. Over this time it's developed a
    certain amount of cruft from legacy and unused features, resulting
    in needless complexity and multiple ways of achieving the same
    task.
  * This release substantially cleans and refactors the codebase. Much
    of the top-level functionality remains unchanged or is very
    similar. The release notes are divided into subsections to make it
    easier to find out where you need to update your code.
  * This release includes a migration for the Version model that may
    take some time to complete.
  * General improvements
    + Dramatically improved performance of version lookup for models
    with a non-integer primary key (@etianen, @mshannon1123).
    + Documentation refactor (@etianen).
    + Test refactor (@etianen).
    + Minor tweaks and bugfixes (@etianen, @bmarika, @ticosax).
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Thu Apr 21 2016 arun@gmx.de
- update to version 1.10.2:
  * Fixing deprecation warnings (@claudep).
  * Minor tweaks and bug fixes (@fladi, @claudep, @etianen).
* Sat Jan 30 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.10.1:
  * Fixing some deprecation warnings (@ticosax).
  * Minor tweaks (@claudep, @etianen).
* Sat Dec  5 2015 arun@gmx.de
- specfile:
  * Changelog.rst -> Changelog.md
- update to version 1.10.0:
  * Breaking: Updated the location of admin classes.
  * Breaking: Updated the location of low-level API methods.
  * Breaking: Updated the location of reversion signals.
  * Django 1.9 compatibility (@etianen).
  * Added spanish (argentina) translation (@gonzalobustos).
  * Minor bugfixes and tweaks (@Blitzstok, @IanLee1521, @lutoma,
    @siamalekpour, @etianen).
* Mon Aug 10 2015 arun@gmx.de
- specfile:
  * include setuptools
- update to version 1.9.3:
  * Fixing regression with admin redirects following save action
    (@etianen).
- changes from version 1.9.2:
  * Fixing regression with "delete", "save as new" and "save and
    continue" button being shown in recover and revision admin views
    (@etianen).
  * Fixing regression where VersionAdmin.ignore_duplicate_revisions
    was ignored (@etianen).
- changes from version 1.9.1:
  * Fixing packaging error that rendered the 1.9.0 release
    unusable. No way to cover up the mistake, so here's a brand new
    bugfix release! (@etianen).
- changes from version 1.9.0:
  * Using database transactions do render consistent views of past
    revisions in database admin, fixing a lot of lingering minor
    issues (@etianen).
  * Correct handling of readonly fields in admin (@etianen).
  * Updates to Czech translation (@cuchac).
  * Arabic translation (@RamezIssac).
  * Fixing deleterevisions to work with Python2 (@jmurty).
  * Fixing edge-cases where an object does not have a PK
    (@johnfraney).
  * Tweaks, code cleanups and documentation fixes (@claudep,
    @johnfraney, @podloucky-init, Drew Hubl, @JanMalte, @jmurty,
    @etianen).
* Sun May 24 2015 arun@gmx.de
- update to version 1.8.7:
  * Fixing deleterevisions command on Python 3 (@davidfsmith).
  * Fixing Django 1.6 compatibility (@etianen).
  * Removing some Django 1.9 deprecation warnings (@BATCOH,
    @niknokseyer).
  * Minor tweaks (@nikolas, @etianen).
* Tue Apr 14 2015 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.8.6:
  * Support for MySQL utf8mb4 (@alexhayes).
  * Fixing some Django deprecation warnings (Drew Hubl, @khakulov,
    @adonm).
  * Versions passed through by reversion.post_revision_commit now
    contain a primary key (@joelarson).
* Tue Dec  2 2014 arun@gmx.de
- specfile: updated Changelog and Readme to .rst files
* Tue Dec  2 2014 arun@gmx.de
- specfile: update copyright year
- update to version 1.8.5
  * Added support for proxy models (@AgDude, @bourivouh).
  * Allowing registration of models with django-reversion using custom signals (@ErwinJunge).
  * Fixing some Django deprecation warnings (@skipp, @narrowfail).
- changes from version 1.8.4
  * Fixing including legacy south migrations in PyPi package (@GeyseR).
- changes from version 1.8.3
  * Provisional Django 1.7 support (@etianen).
  * Multi-db and multi-manager support to management commands (@marekmalek).
  * Added index on reversion.date_created (@rkojedzinszky).
  * Minor bugfixes and documentation improvements (@coagulant).
- changes from version 1.8.2
  * reversion.register() can now be used as a class decorator (@aquavitae).
  * Danish translation (@Vandborg).
  * Improvements to Travis CI integration (@thedrow).
  * Simplified Chinese translation (@QuantumGhost).
  * Minor bugfixes and documentation improvements (@marekmalek, @dhoffman34, @mauricioabreu, @mark0978).
- changes from version 1.8.1
  * Slovak translation (@jbub).
  * Deleting a user no longer deletes the associated revisions (@daaray).
  * Improving handling of inline models in admin integration (@blueyed).
  * Improving error messages for proxy model registration (@blueyed).
  * Improvements to using migrations with custom user model (@aivins).
  * Removing sys.exit() in deleterevisions management command, allowing it to be used internally by Django projects (@tongwang).
  * Fixing some backwards-compatible admin deprecation warnings (Thomas Schreiber).
  * Fixing tests if RevisionMiddleware is used as a decorator in the parent project (@jmoldow).
  * Derived models, such as those generated by deferred querysets, now work.
  * Removed deprecated low-level API methods.
- changes from version 1.8.0
  * Django 1.6 compatibility (@niwibe & @meshy).
  * Removing type flag from Version model.
  * Using bulk_create to speed up revision creation.
  * Including docs in source distribution (@pquentin & @fladi).
  * Spanish translation (@alexander-ae).
  * Fixing edge-case bugs in revision middleware (@pricem & @oppianmatt).
* Sat Sep 28 2013 p.drouand@gmail.com
- Initial python3 support
* Sat Sep 28 2013 p.drouand@gmail.com
- Update to version 1.7.1
  + Bugfixes when using a custom User model.
  + Minor bugfixes.
- Use download url as source url
- Add documentation from tarball
* Wed Dec 12 2012 alexandre@exatati.com.br
- Update to 1.6.5:
  - Support for Django 1.4.3.
* Mon Oct 29 2012 alexandre@exatati.com.br
- Update to 1.6.4:
  - Support for Django 1.4.2.
* Thu Sep  6 2012 alexandre@exatati.com.br
- Update to 1.6.3:
  - Fixing issue with reverting models with unique constraints in
    the admin.
  - Enforcing permissions in admin views.
* Tue Jul 31 2012 alexandre@exatati.com.br
- Update to 1.6.2:
  - Batch saving option in createinitialrevisions.
  - Suppressing warning for Django 1.4.1.
- Aditional changes from 1.6.1:
  - Swedish translation.
  - Fixing formating for PyPi readme and license.
  - Minor features and bugfixes.
* Tue Mar 27 2012 alexandre@exatati.com.br
- Update to 1.6.0:
  - Django 1.4 compatibility.
* Wed Oct 26 2011 alexandre@exatati.com.br
- Update to 1.5.1:
  - Sorry, no changelog atm.
* Mon Sep  5 2011 alexandre@exatati.com.br
- Update to 1.5:
  - Added in simplified low level API methods, and deprecated old
    low level API methods.
  - Added in support for multiple revision managers running in the
    same project.
  - Added in significant speedups for models with integer primary
    keys.
  - Added in cleanup improvements to patch generation helpers.
  - Minor bug fixes.
* Wed Apr 27 2011 alexandre@exatati.com.br
- Update to 1.4:
  - Sorry, no changelog.
* Tue Apr 19 2011 alexandre@exatati.com.br
- Regenerate spec file with py2pack.
* Mon Mar  7 2011 alexandre@exatati.com.br
- Update to 1.3.3.
* Fri Oct 22 2010 alexandre@exatati.com.br
- Update to 1.3.2.
* Mon May 31 2010 alexandre@exatati.com.br
- Update to 1.3.1.
* Mon May 31 2010 alexandre@exatati.com.br
- Update to 1.3;
- Spec file cleaned with spec-cleaner.
* Wed Mar  3 2010 alexandre@exatati.com.br
- Update to 1.2.1.
* Tue Oct 13 2009 alexandre@exatati.com.br
- Initial package (1.2) for openSUSE.
